<mat-toolbar> Resultados de Encuestas </mat-toolbar>


<router-outlet></router-outlet>

<div *ngIf="route.children.length === 0"  class="example-container">

   <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
      <td mat-cell *matCellDef="let row"> {{row.id}} </td>
    </ng-container>

    <ng-container matColumnDef="nombres">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombres </th>
      <td mat-cell *matCellDef="let row"> {{row.nombres}}</td>
    </ng-container>
    <ng-container matColumnDef="apellidos">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Apellidos </th>
      <td mat-cell *matCellDef="let row"> {{row.apellidos}}</td>
    </ng-container>
    <ng-container matColumnDef="lenguaje">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Lenguaje </th>
      <td mat-cell *matCellDef="let row"> {{row.lenguaje}}</td>
    </ng-container>

    <ng-container matColumnDef="acciones">
      <th mat-header-cell *matHeaderCellDef>Acciones</th>
      <td mat-cell *matCellDef="let row">
        <span>
          <button mat-icon-button (click)="eliminar(row.id)">
            <mat-icon>delete</mat-icon>
          </button>
        </span>

        <span>
          <button mat-icon-button [routerLink]="['modificar', row.id]" >
            <mat-icon>autorenew</mat-icon>
          </button>
        </span>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>

    <tr mat-row *matRowDef="let row; columns: displayedColumns;">
    </tr>
  </table>

  <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" [length]="totalElementos" (page)="mostrarMas($event)">
  </mat-paginator>
</div>